[VOTE] Release Apache Flex SDK Installer 3.3 - RC3

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

[VOTE] Release Apache Flex SDK Installer 3.3 - RC3

piotrz
Hi Folks,

This is official thread for Vote to approve Apache Flex SDK Installer
version 3.3 to be released.

It's RC3. Changes:
- Download in Get of Ant on Air library has been switched to use Powershell
on Windows. There is no changes in case of Mac.

This version address fix for one major issue:
- Unable to download Apache Flex SDK with Air greater than 23 - Windows [1]

In order to test issue [1] you have to use Nightly Build of SDK, cause
during work on fix I have discovered that script in SDK which installer is
using was broken [2]. Release process for SDK has been started.

[1] https://issues.apache.org/jira/browse/FLEX-35295
[2] https://issues.apache.org/jira/browse/FLEX-35364

Sources can be found:
*https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/
<https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/>*

Binary distributions for Windows and Mac:
*https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/binaries/
<https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/binaries/>*

Before voting review ASF requirements:
http://www.apache.org/dev/
http://www.apache.org/legal/release-policy.html#approving-a-release

To use ApproveInstaller.xml script (assuming you have Ant installed) you
have to:
    - Create an empty folder
    - Download ApproveInstaller.xml into that folder from:
       *https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/ApproveInstaller.xml
<https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/ApproveInstaller.xml>*

    - Run: ant -f ApproveInstaller.xml -Drelease.version=3.3 -Drc=3

Vote
[ ] +1 Approve the release
[ ] -1 Veto the release (please provide specific comments)

This vote will be open for at least 72 hours.

Thanks for your patience and voting so far!,
--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

RE: [VOTE] Release Apache Flex SDK Installer 3.3 - RC3

yishayw
I’m getting this:



gpg: Can't check signature: No public key



Where can I get the public key?



________________________________
From: Piotr Zarzycki <[hidden email]>
Sent: Sunday, November 12, 2017 10:49:54 PM
To: [hidden email]
Subject: [VOTE] Release Apache Flex SDK Installer 3.3 - RC3

Hi Folks,

This is official thread for Vote to approve Apache Flex SDK Installer
version 3.3 to be released.

It's RC3. Changes:
- Download in Get of Ant on Air library has been switched to use Powershell
on Windows. There is no changes in case of Mac.

This version address fix for one major issue:
- Unable to download Apache Flex SDK with Air greater than 23 - Windows [1]

In order to test issue [1] you have to use Nightly Build of SDK, cause
during work on fix I have discovered that script in SDK which installer is
using was broken [2]. Release process for SDK has been started.

[1] https://issues.apache.org/jira/browse/FLEX-35295
[2] https://issues.apache.org/jira/browse/FLEX-35364

Sources can be found:
*https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/
<https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/>*

Binary distributions for Windows and Mac:
*https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/binaries/
<https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/binaries/>*

Before voting review ASF requirements:
http://www.apache.org/dev/
http://www.apache.org/legal/release-policy.html#approving-a-release

To use ApproveInstaller.xml script (assuming you have Ant installed) you
have to:
    - Create an empty folder
    - Download ApproveInstaller.xml into that folder from:
       *https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/ApproveInstaller.xml
<https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/ApproveInstaller.xml>*

    - Run: ant -f ApproveInstaller.xml -Drelease.version=3.3 -Drc=3

Vote
[ ] +1 Approve the release
[ ] -1 Veto the release (please provide specific comments)

This vote will be open for at least 72 hours.

Thanks for your patience and voting so far!,
--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

RE: [VOTE] Release Apache Flex SDK Installer 3.3 - RC3

yishayw
In reply to this post by piotrz
     [echo]
     [echo] +1
     [echo] Package https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/apache-flex-sdk-installer-3.3.0-src.zip
     [echo] Java 1.8
     [echo] OS: Windows 10 amd64 10.0
     [echo] Source kit signatures match: y
     [echo] Source kit builds: y
     [echo] README is ok: y
     [echo] RELEASE_NOTES is ok: y
     [echo] NOTICE is ok: y
     [echo] LICENSE is ok: y
     [echo] No unapproved licenses or archives: y
     [echo] No unapproved binaries: y

From: Piotr Zarzycki<mailto:[hidden email]>
Sent: Sunday, November 12, 2017 10:50 PM
To: [hidden email]<mailto:[hidden email]>
Subject: [VOTE] Release Apache Flex SDK Installer 3.3 - RC3

Hi Folks,

This is official thread for Vote to approve Apache Flex SDK Installer
version 3.3 to be released.

It's RC3. Changes:
- Download in Get of Ant on Air library has been switched to use Powershell
on Windows. There is no changes in case of Mac.

This version address fix for one major issue:
- Unable to download Apache Flex SDK with Air greater than 23 - Windows [1]

In order to test issue [1] you have to use Nightly Build of SDK, cause
during work on fix I have discovered that script in SDK which installer is
using was broken [2]. Release process for SDK has been started.

[1] https://issues.apache.org/jira/browse/FLEX-35295
[2] https://issues.apache.org/jira/browse/FLEX-35364

Sources can be found:
*https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/
<https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/>*

Binary distributions for Windows and Mac:
*https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/binaries/
<https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/binaries/>*

Before voting review ASF requirements:
http://www.apache.org/dev/
http://www.apache.org/legal/release-policy.html#approving-a-release

To use ApproveInstaller.xml script (assuming you have Ant installed) you
have to:
    - Create an empty folder
    - Download ApproveInstaller.xml into that folder from:
       *https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/ApproveInstaller.xml
<https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/ApproveInstaller.xml>*

    - Run: ant -f ApproveInstaller.xml -Drelease.version=3.3 -Drc=3

Vote
[ ] +1 Approve the release
[ ] -1 Veto the release (please provide specific comments)

This vote will be open for at least 72 hours.

Thanks for your patience and voting so far!,
--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*

Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Flex SDK Installer 3.3 - RC3

Harbs
In reply to this post by piotrz
+1
Package https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/apache-flex-sdk-installer-3.3.0-src.tar.gz
Java 1.8
OS: Mac OS X x86_64 10.10.5
Source kit signatures match: y
Source kit builds: y
README is ok: y
RELEASE_NOTES is ok: y
NOTICE is ok: y
LICENSE is ok: y
No unapproved licenses or archives: y
No unapproved binaries: y

Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Flex SDK Installer 3.3 - RC3

Carlos Rovira-3
+1

Package
https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/binaries/
Java 1.8.0_102
OS: Mac OS X x86_64 10.13.1

Tested to download 4.16 and nightly. All worked flawlessly

Best

Carlos


2017-11-13 15:28 GMT+01:00 Harbs <[hidden email]>:

> +1
> Package https://dist.apache.org/repos/dist/dev/flex/installer/3.3/
> rc3/apache-flex-sdk-installer-3.3.0-src.tar.gz
> Java 1.8
> OS: Mac OS X x86_64 10.10.5
> Source kit signatures match: y
> Source kit builds: y
> README is ok: y
> RELEASE_NOTES is ok: y
> NOTICE is ok: y
> LICENSE is ok: y
> No unapproved licenses or archives: y
> No unapproved binaries: y
>
>


--
Carlos Rovira
http://about.me/carlosrovira
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Release Apache Flex SDK Installer 3.3 - RC3

Alex Harui-2
+1
Package
https://dist.apache.org/repos/dist/dev/flex/installer/3.3/rc3/apache-flex-s
dk-installer-3.3.0-src.zip
Java 1.8
OS: Windows 10 amd64 10.0
Source kit signatures match: y
Source kit builds: y
README is ok: y
RELEASE_NOTES is ok: y
NOTICE is ok: y
LICENSE is ok: y
No unapproved licenses or archives: y
No unapproved binaries: y


Installing 4.16.1 on Windows worked for me this time.

Thanks,
-Alex